%define name    mt32emu
%define version 2.7.1

%define major   2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

#the name of the tarball is difficult to work with, define it once and for all
%define tarname munt-libmt32emu_2_7_1

Name:           %{name}
Version:        %{version}
Release:        %mkrel 1
Summary:        Library to emulate Roland MT-32
Group:          Emulators
License:        LGPLv2+
URL:            https://github.com/munt/munt/tree/master/mt32emu
Source0:        https://github.com/munt/munt/archive/refs/tags/%{tarname}.tar.gz

BuildRequires:  cmake

%description
mt32emu is a part of the Munt project. It represents a _C/C++ library_
named **libmt32emu** which allows to emulate (approximately) the Roland MT-32,
CM-32L and LAPC-I synthesiser modules (https://en.wikipedia.org/wiki/Roland_MT-32).

This library is intended for developers wishing to integrate an MT-32 emulator
into a driver or an application.

%package -n %{libname}
Summary: Library to emulate Roland MT-32

%description -n %{libname}
This package contains the library needed to run programs dynamically
 linked with mt32emu

%files -n %{libname}
%doc AUTHORS.txt COPYING.LESSER.txt COPYING.txt NEWS.txt README.md TODO.txt
%{_libdir}/lib%{name}.so.%{major}*

%package -n     %{develname}
Summary:        Development headers for mt32emu
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
 applications which will use mt32emu

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/MT32Emu/*

%prep
%setup -q -n %{tarname}

%build
%cmake -DCMAKE_BUILD_TYPE:STRING=Release \
       -DBUILD_SHARED_LIBS=true \
       -Dlibmt32emu_PKGCONFIG_INSTALL_PREFIX=%{_libdir} \
       -Dmunt_WITH_MT32EMU_QT=false \
       -Dmunt_WITH_MT32EMU_SMF2WAV=false

%cmake_build

%install
%cmake_install

mv %{buildroot}/%{_datadir}/doc/munt/libmt32emu %{buildroot}/%{_datadir}/doc/%{libname}



%changelog
* Mon Mar 17 2025 julien <julien> 2.7.1-1.mga10
+ Revision: 2165739
- new version 2.7.1

* Thu Sep 01 2022 julien <julien> 2.7.0-1.mga9
+ Revision: 1883367
- new version 2.7.0

* Wed Apr 20 2022 julien <julien> 2.6.3-1.mga9
+ Revision: 1852243
- new version 2.6.3

* Thu Mar 17 2022 umeabot <umeabot> 2.5.3-2.mga9
+ Revision: 1796454
- Mageia 9 Mass Rebuild

* Sat Aug 28 2021 julien <julien> 2.5.3-1.mga9
+ Revision: 1743183
- new version 2.5.3
- use individual lib tarball instead of merged

* Fri Jul 09 2021 julien <julien> 2.5.1-1.mga9
+ Revision: 1735470
- imported package mt32emu

